package depart.commun.messages;

import ca.ntro.app.Ntro;
import ca.ntro.app.messages.Message;
import depart.commun.modeles.ModeleA;
import depart.commun.modeles.ModeleB;

public class MsgA extends Message<MsgA> {
	
	private String id;

	public MsgA setId(String id) {
		this.id = id;
		return this;
	}

	public void methodeA(ModeleA objA) {
		objA.methodeA(id);
	}

	public void methodeB() {
		Ntro.newMessage(MsgD.class)
		    .setModelSelection(ModeleB.class, id)
		    .setId(id)
		    .send();
	}

}
